Ask a Question

Advanced Search

Alert ID : ALERT2566

Last Modified : 10/16/2018

"Error: NET::ERR_CERT_SYMANTEC_LEGACY"

URGENT

Description

Chrome 70 is live as of 10-16-2018.  Distrust errors may not be displayed immediately as distrust is done in stages and independent of Chrome reelease dates. Please reference the following for more information,
https://sites.google.com/a/chromium.org/dev/Home/chromium-security/symantec-legacy-pki


Chrome 66 beta distrusts all Symantec SSL/TLS certificates issued before June 1, 2016. Google plans to release the public version on April 17, 2018.
A website that has a Symantec SSL/TLS certificate issued before June 1, 2016 will display the below error when accessed via Chrome 66 beta:

NET::ERR_CERT_SYMANTEC_LEGACY

Status

In order to verify your certificate status you can use our simple web-based tool to check whether any action is required for your GeoTrust, RapidSSL, Symantec, or Thawte certificate.

https://www.websecurity.symantec.com/support/ssl-checker

Action Required

For certificates issued prior to June 1, 2016, please submit for a free replacement.

 

Resolution

Please use the links below to find instructions for each of the different platforms.

 

Brand Account Link
Symantec Symantec Trust Center (STC) Replacement Instructions
Symantec Trust Center Enterprise (STCE) Replacement Instructions
Managed PKI for SSL (MPKI SSL) Replacement Instructions
Reseller End User Portal Replacement Instructions
 
GeoTrust GeoTrust Security Center (GSC) Replacement Instructions
GeoTrust Security Center Enterprise (GSCE) Replacement Instructions
Reseller End User Portal Replacement Instructions
 
RapidSSL Retail Security Center (RSC) Replacement Instructions
Reseller End User Portal Replacement Instructions
 
Thawte Thawte Certificate Center (TCC) Replacement Instructions
Thawte Certificate Center Enterprise (TCCE) Replacement Instructions
Reseller End User Portal Replacement Instructions

 

Related Articles

ALERT2562